#pragma once

#include <JuceHeader.h>

class PluginEditorWindow;

class MainComponent  : public juce::Component
{
public:
    MainComponent();
    ~MainComponent() override;

    void paint (juce::Graphics&) override;
    void resized() override;

    void SetEditorVisible(bool should_be_visible);

private:

    juce::TextButton editor_button_;
    std::unique_ptr<PluginEditorWindow> plugin_editor_window_;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (MainComponent)
};
